// PreviewSize.cpp
//

#include "stdafx.h"
#include "PreviewSize.h"
#include "PreviewSizeDlg.h"
#include "CameraSelectDlg.h"
#include "StCamera.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPreviewSizeApp

BEGIN_MESSAGE_MAP(CPreviewSizeApp, CWinApp)
	//{{AFX_MSG_MAP(CPreviewSizeApp)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPreviewSizeApp

CPreviewSizeApp::CPreviewSizeApp()
{
}

/////////////////////////////////////////////////////////////////////////////
// CPreviewSizeApp

CPreviewSizeApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CPreviewSizeApp

BOOL CPreviewSizeApp::InitInstance()
{
	CCameraSelectDlg	dlgSelect;
	if(IDOK == dlgSelect.DoModal())
	{
		CStCamera	objStCamera(dlgSelect.m_hCamera);

		CPreviewSizeDlg dlg;
		m_pMainWnd = &dlg;
		dlg.g_pStCamera = &objStCamera;
#ifdef _WIN64
		INT_PTR nResponse = dlg.DoModal();
#else
		int nResponse = dlg.DoModal();
#endif //_WIN64
		if (nResponse == IDOK)
		{
		}
		else if (nResponse == IDCANCEL)
		{
		}
	}
	return FALSE;
}
